MODULE YOMMPG

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Global view variables mainly used to handle reading and
!     writing of grib data

! NPOSSP    : Defines partitioning of global spectral fields among PEs
! NPOSCP    : As NPOSSP for NCMAX arrays
! NPOSTP    : As NPOSSP for NTMAX arrays
! NDIM0G    : Defines partitioning of global spectral fields among PEs 

INTEGER(KIND=JPIM),ALLOCATABLE:: NPOSSP(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NPOSCP(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NPOSTP(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: NDIM0G(:)

END MODULE YOMMPG
